Sponsored Links

Sponsored Links

MultiMAN PS3 v2.00.03 Updated with FCEU (NES/Ultra) Emulator


Sponsored Links
177w ago - Today multiMAN version 2.00.03 has been updated to include the latest SNES, Genesis and now FCEU (NES/Ultra) video game emulators courtesy of squarepusher2.

Download: [Register or Login to view links] (26MB)

Contents: Latest from squarepusher2 repo, compiled by me:

  • 20110602-161300-SNES9X [SNES90000] [multiMAN].pkg
  • 20110602-161200-GENESIS-PLUS [GENP00001] [multiMAN].pkg
  • 20110602-161700-FCEU [FCEU90000] [multiMAN].pkg

* multiMAN ver 2.00.03 UPDATE (20110602_163000)

If you're on any previous version - I suggest that you update to the latest multiMAN.

  • Added: Threaded processing in background for downloading covers (no more GUI interruptions)
  • Added: XMMB mode will invoke download of missing covers, too
  • Added: Caching of Retro column
  • Changed: Non-blockable scanning in XMMB when device is connected/disconnected
  • Added: Support for Genesis+ GX retro emulator (port by squarepusher2)
  • Added: Support for FCEUltra (NES/ULTRA) PS3 retro emulator (port by squarepusher2)
  • Added: Support for VBA PS3 retro emulator (GameBoy/GameBoy Advanced)
  • Improved: XMMB Photo column display and navigation (no more image buffers release when full - a lot seamless now)
  • Added: Support for PNG covers for Retro column (408x408 max resolution) (408x180 for best results)
  • Fixed: Some issues in XMMB mode - all working much more stable now






Stay tuned for more PS3 Hacks and PS3 CFW news, follow us on Twitter and be sure to drop by the PS3 Hacks and PS3 Custom Firmware Forums for the latest PlayStation 3 scene updates and homebrew releases!

Comments 4467 Comments - Go to Forum Thread »

• Please Register at PS3News.com or Login to make comments on Site News articles. Thanks!

imtoodvs's Avatar
#4432 - imtoodvs - 141w ago
i keep getting "Multiman can not enable BD Rom emulator" & "ERROR unsupported system firmware"

i'm on debug 3.55

Blade86's Avatar
#4431 - Blade86 - 141w ago
Perhaps if you set all settings to debug mode and load the self as eboot.bin without npdrm... Don't know if you need debug-fself.

Still waiting 4 answers as you.

Cheers
Blade

imtoodvs's Avatar
#4430 - imtoodvs - 141w ago
ok, i just updated my Debug to 3.55, installed 4.01 base, then the dex pkg, but my games wont play. tried to install bdemu2, but its not working, it won't install.

where am i going wrong. i also set the bdemu to usb in debug options, & i'm downloading 4.01 full pkg to see if i missed something.

kreus's Avatar
#4429 - kreus - 141w ago
just a question if i use this lv2_kernel and use the new multiman can i play the new games?

HeyManHRU's Avatar
#4428 - HeyManHRU - 141w ago
Well from version 2.00+ is good enough, imo but the one with the most features is here: [Register or Login to view links]

It works without any dongle.

Sponsored Links

Sponsored Links
Sponsored Links

Sponsored Links







Advertising - Affiliates - Contact Us - PS3 Downloads - Privacy Statement - Site Rules - Top - © 2014 PlayStation 3 News